Subject: Re: [PATCH]: Update mesa to 21.3.6 (fixup release)

From: John Kehayias <[email-masked]>
Date: Tue, 22 Feb 2022 19:50:56 +0000

Thanks for the patch! I had just done a similar one locally and confirm that everything built fine on x86-64.

The last mesa update was part of core-updates(-frozen), but I heard in the past it went into staging. These days, at least, mesa moves quickly, updating every few weeks (the last few all 2 weeks or so apart).

So, I'd like to propose we set up a branch on the CI to build this mesa update to then push to master once we confirm no big breakage in building. Then we would have substitutes right away, which I think would be one of the big concerns with updating something like mesa (again, since this is a set of minor bugfix releases).

We could batch a few other changes to deploy at the same time, maybe the recent security grafts?

It would be great to leverage that CI to move quickly on updates like mesa which won't (we'll check!) be introducing breaking changes, merely lots of rebuilds. Likewise with grafts->updates, though I'm less familiar with what to look out for there. I suppose this is sort of the staging branch idea, but maybe a smaller scale and quicker. Mesa, for instance, would likely have a new version(s) if this is stretched over a month or two.

WDYT?